# Roqua CSV export from sqlite export

## Description

Takes a sqlite export and some export_version definitions and generates a csv file for each questionnaire in each version.

## Examples

```ruby
require 'roqua-csv_export'
Roqua::CsvExport.generate sqlite_path: Pathname.new('spec/fixtures/sql_export.db'),
                          export_versions_path: Pathname.new('spec/fixtures/export_versions'),
                          output_path: Pathname.new('tmp/data_exports'),
                          organization_key: 'demo',
                          anonymous_data_in_exports: false # the default.
```

See [generate method](docs/Roqua/CsvExport#generate-class_method)

## Requirements

## Install

    $ gem install roqua-csv_export

## Developing

* Download source
* run `bundle`
* run `guard`
* write your test and see them fail
* write your code until the spec pass.

## Changelog

### 0.1.0

First version.

## Copyright

Copyright (c) 2017 Roqua

See {file:LICENSE.txt} for details.
